Instrument Data
Retrieve instrument analytics, market data, news, and related reference data.
Get All Instrument Events
Get Instrument Events
Get Instrument Fundamentals
Get Instrument Balance Sheet Statements
Get Instrument Income Statements
Get Instrument Analyst Consensus
Get Instrument Cash Flow Statements
ModelsExpand Collapse
class InstrumentAllEventsData:
All-events payload grouped by date.
List<InstrumentEventsByDate> eventDates
Events grouped by date in descending order.
List<InstrumentEventEnvelope> events
Flat event envelopes for this date.
AllEventsEventType type
Optional<String> instrumentId
OEMS instrument identifier, when the instrument is found in the instrument cache.
class InstrumentBalanceSheetStatement:
A quarterly balance sheet statement for an instrument.
FiscalPeriodType periodType
class InstrumentCashFlowStatement:
A quarterly cash flow statement for an instrument.
FiscalPeriodType periodType
class InstrumentDividendEvent:
class InstrumentEventEnvelope:
Unified envelope for the all-events response.
AllEventsEventType type
Optional<String> instrumentId
OEMS instrument identifier, when the instrument is found in the instrument cache.
class InstrumentEventsByDate:
Instrument events for a single date.
List<InstrumentEventEnvelope> events
Flat event envelopes for this date.
AllEventsEventType type
Optional<String> instrumentId
OEMS instrument identifier, when the instrument is found in the instrument cache.
class InstrumentEventsData:
Grouped instrument events by type
List<InstrumentDividendEvent> dividends
List<InstrumentEarnings> earnings
Earnings announcement events
List<InstrumentSplitEvent> splits
class InstrumentFundamentals:
class InstrumentIncomeStatement:
A quarterly income statement for an instrument.
FiscalPeriodType periodType
Instrument DataMarket Data
Retrieve instrument analytics, market data, news, and related reference data.
Get Snapshots
Get Daily Aggregate Summaries
ModelsExpand Collapse
class DailySummary:
Daily aggregate (OHLV) summary for a single instrument.
Returned by GET /market-data/daily-summary. Every field except
instrument_id is Option:
- Unresolvable
instrument_id→ all other fieldsNone(includingsymbol). - Resolvable
instrument_idwith no realtime cache entry →symbolpopulated, OHLV/trade_dateNone. trade_datereflects the session the OHLV represents (today during trading hours, the last trading date during weekends/holidays).
Instrument DataNews
Retrieve instrument analytics, market data, news, and related reference data.
Get News
ModelsExpand Collapse
class NewsItem:
A single news item and its associated instruments.